LuceneFulltextIndexBatchInserter (Neo4j Apoc 1.1 API)
Keywords: org.neo4j.index.lucene.LuceneFulltextIndexBatchInserter class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neo4j.index.lucene
Class LuceneFulltextIndexBatchInserter

    java.lang.Object
      org.neo4j.index.lucene.LuceneIndexBatchInserterImpl
          org.neo4j.index.lucene.LuceneFulltextIndexBatchInserter

All Implemented Interfaces:
  LuceneIndexBatchInserter

    public class LuceneFulltextIndexBatchInserter

extends LuceneIndexBatchInserterImpl

The "batch inserter" version of `LuceneFulltextIndexService`. It should be used with a BatchInserter and stores the indexes in the same format as `LuceneFulltextIndexService`. It's optimized for large chunks of either reads or writes. So try to avoid mixed reads and writes because there's a slight overhead to go from read mode to write mode (the "mode" is per key and will not affect other keys) See more information at {link http://wiki.neo4j.org/content/Indexing_with_BatchInserter the Indexing with BatchInserter wiki page}.

Constructor Summary
`LuceneFulltextIndexBatchInserter(org.neo4j.kernel.impl.batchinsert.BatchInserter inserter)`

Method Summary
`protected void` | `fillDocument(org.apache.lucene.document.Document document, long nodeId, String key, Object value)`
`protected org.apache.lucene.search.Query` | `formQuery(String key, Object value)`
`protected String` | `getDirName()`
`protected org.apache.lucene.document.Field.Index` | `getIndexStrategy()`

Methods inherited from class org.neo4j.index.lucene.LuceneIndexBatchInserterImpl
`getBatchInserter, getIndexService, getNodes, getSingleNode, index, optimize, shutdown`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LuceneFulltextIndexBatchInserter

    public LuceneFulltextIndexBatchInserter(org.neo4j.kernel.impl.batchinsert.BatchInserter inserter)

Parameters:
  `inserter` - the `BatchInserter` to use.

Method Detail

### fillDocument

    protected void fillDocument(org.apache.lucene.document.Document document,
                                long nodeId,
                                String key,
                                Object value)

  Overrides:
    `fillDocument` in class `LuceneIndexBatchInserterImpl`

### getIndexStrategy

    protected org.apache.lucene.document.Field.Index getIndexStrategy()

  Overrides:
    `getIndexStrategy` in class `LuceneIndexBatchInserterImpl`

### getDirName

    protected String getDirName()

  Overrides:
    `getDirName` in class `LuceneIndexBatchInserterImpl`

### formQuery

    protected org.apache.lucene.search.Query formQuery(String key,
                                                       Object value)

  Overrides:
    `formQuery` in class `LuceneIndexBatchInserterImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Neo4j. All Rights Reserved.